#! /bin/sh
#
#	0.1: Oct. 22, 2002 by Dai ISHIJIMA
#	0.2: May,  1, 2004
#

src=/dev/rad0
dst=/dev/rad1

if ! total=`expr "$NCYLS" '*' "$NHEAD" '*' "$NSECS" '*' 512 2>/dev/null`; then
	echo no disk information
	exit 1
fi

kb=`expr $total / 1024`
mb=`expr $kb / 1024`
gb=`expr $mb / 1024`

# blocksize set to 1 mega bytes
obs=`expr 1024 '*' 1024`

max=`expr $total / $obs`

# erase 32Mbytes at a job
count=32


case "$1" in
	/dev/rad0) src=/dev/rad0; dst=/dev/rad1 ;;
	/dev/rad1) src=/dev/rad1; dst=/dev/rad0 ;;
esac

echo ''
echo "Copy disk '$src' to '$dst'"
echo "capacity: $total [bytes] ($kb [kbytes], $mb [Mbytes], $gb [Gbytes])"
echo -n 'Ok? [y/n] '

read x
case $x in
	y) ;;
	*) echo 'Aborted'; exit 1;;
esac

echo ''
echo "Are you sure that source drive is connected as '$src'"
echo "and destination drive is connected as '$dst'?"
echo -n 'Ok? [y/n] '

read x
case $x in
	y) ;;
	*) echo 'Aborted'; exit 1;;
esac

echo ''
echo -n 'Really? [yes/no] '

read x
case $x in
	yes) ;;
	*) echo 'Aborted'; exit 1;;
esac

skip=0
#
p=0
#
echo ''
echo ''; echo ''; echo ''; echo ''; echo '';
echo ''; echo ''; echo ''; echo ''; echo '';
echo -n '[10A'
echo -n '7'
echo "0 / $max = 0 % done."
echo '0....1....2....3....4....5....6....7....8....9....'
while [ $skip -le $max ]; do
	echo -n '8'
	echo -n '7'
	p=`expr 100 '*' $skip / $max`
	echo "$skip / $max = $p % done"
	q=`expr $p / 2`
	i=0
	while [ $i -lt $q ]; do
		echo -n '#'
		i=`expr $i + 1`
	done
	echo ''; echo ''
	echo dd bs=$obs skip=$skip seek=$skip count=$count if=$src of=$dst
	dd bs=$obs skip=$skip seek=$skip count=$count if=$src of=$dst
	echo ''
	skip=`expr $skip + $count`
done

p=`expr 100 '*' $skip / $max`
echo -n '8'
echo "$skip / $max = $p % done. "
echo '##################################################'
echo ''; echo ''; echo ''; echo ''; echo ''
echo ''; echo ''; echo ''; echo ''; echo ''
echo 'all done.'
echo ''
echo -n 'Press ENTER to return menu...'
read x

exit 0
